SAVELOG(8)

NAME
savelog - eine Protokolldatei speichern

ÜBERSICHT
savelog [-m Modus] [-u Benutzer] [-g Gruppe] [-t] [-p] [-c Zyklus] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r WandVerz] [-n] [-q] [-D Datumsformat] Datei …

BESCHREIBUNG
Der Befehl savelog speichert alte Kopien von Dateien und komprimiert sie optional. Ältere Versionen von Datei werden wie folgt benannt:

    Datei.<Nummer><Komprimier_Endung>

Hierbei ist <Nummer> die Versionsnummer, 0 ist die neuste. Versionsnummern > 0 sind komprimiert, falls dies nicht durch -l verhindert wird. Versionsnummer 0 ist nicht komprimiert, da ein Prozess immer noch Datei für E/A offen haben könnte. Nur Zyklus Versionen der Datei werden aufgehoben.

Falls die Datei nicht existiert und -t übergeben wurde, wird sie erstellt.

Für Dateien, die existieren und eine Länge größer null haben, werden die folgenden Aktionen durchgeführt:

1)  Versionsnummern werden zyklisch verschoben. Version Datei..2 wird Datei..3, Version Datei..1 wird Datei..2 und so weiter. Schließlich wird Version Datei..0 zu Datei..1 und Datei wird gelöscht. Sowohl komprimierte als auch unkomprimierte Namen werden zyklisch verschoben, unabhängig von -l. Fehlende Versionen werden ignoriert.

2)  Die neue Datei..1 wird komprimiert, falls der Schalter -l nicht übergeben wurde. Sie wird gemäß den Schaltern -m, -u und -g geändert.

3)  Die Haupt-Datei wird zu Datei.0.

4)  Falls die Schalter -m, -u, -g, -t oder -p angegeben werden, dann wird eine leere Datei gemäß den Schaltern angelegt. Mit dem Schalter -p wird die Datei mit dem gleichen Eigentümer, Gruppe und Rechten wie vorher angelegt.

5)  Die neue Datei..0 wird entsprechend der Schalter -m, -u und -g geändert.

OPTIONEN

-m Modus
    chmod die Protokolldatei nach Modus, impliziert -t

-u Benutzer
    chown die Protokolldatei zu Benutzer, impliziert -t

-g Gruppe
    chgrp die Protokolldatei zu Gruppe, impliziert -t

-c Zyklus
    speichert mindestens Zyklus Versionen der Protokolldatei (Vorgabe: 7). Der Zähler Zyklus muss mindestens 2 sein.

-t  neue Protokolldatei mit »touch« erstellen

-l  keine Protokolldateien komprimieren (Vorgabe: komprimieren)

-p  Eigentümer, Gruppe und Rechte der Protokolldatei erhalten

-j  mit Bzip2 statt mit Gzip komprimieren

-J  mit Xz statt mit Gzip komprimieren

    Für Xz wird keine Stärkeoption gesetzt und Xz entscheidet gemäß dem Standardwert basierend auf der Gesamtmenge an physischem RAM. Beachten Sie, dass Xz eine sehr großen Teil des Speichers für hohe Komprimierungsstufen verwenden kann.

-1 .. -9
    Komprimierungsstärke oder Speicherverwendung (Standard: 9, außer für Xz)

-C  erzwinge Bereinigung von verschobenen Protokolldateien

-d  Standarddatum zum Wandeln verwenden

-D Datumsformat
    setzte das Datumsformat außer Kraft, in der von dem Befehl date(1) verstandenen Syntax

-r  verwende WandVerz statt ., um Dateien zu wandeln

-n  leere Dateien nicht rotieren

-q  nichts ausgeben

FEHLER
Falls ein Prozess noch in Datei.0 schreibt und Savelog diese Datei in Datei.1 verschiebt und dann komprimiert, könnten Daten verloren gehen.

SIEHE AUCH
logrotate(8)

ÜBERSETZUNG
Diese Übersetzung wurde 2011, 2012, 2017, 2018, 2020, 2022 von Helge Kreutzmann erstellt. Sie unterliegt der GNU GPL Version 2 (oder neuer). Um die englische Originalversion zu lesen, geben Sie »man -L C BEFEHL« ein. Fehler in der Übersetzung melden Sie bitte über die Fehlerdatenbank (BTS) von Debian oder indem Sie eine E-Mail an <debian-l10-german@lists.debian.org>, schreiben.